/**
 * StoreUtil 客户端数据集请求操作工具类
 * @author cls
 * @date 2021-01-30
 * import { StoreUtil } from "@birt/funclib/StoreUtil"
 */
import hiSetting from '@birt/hiSetting';
import { $CONST } from "@birt/funclib/ConstUtil";

export const StoreUtil = {
    /**
     * showdoc
     * @catalog JS工具类/StoreUtil
     * @title 数据集查询
     * @description 查询数据集数据
     * @method static
     * @url StoreUtil.query({ request, url, param })
     * @param request 请求对象
     * @param url 请求地址 
     * @param param 条件包
     * @return 查询包
     * @remark 测试用例
     */
    query({ request, url, param }) {
        let promise
        let dataUrl = url || hiSetting[$CONST.HIURLQUERY];

        promise = request({
            url: dataUrl,
            data: param,
            method: 'post'
        })
        return promise
    },
    /**
    * showdoc
    * @catalog JS工具类/StoreUtil
    * @title 数据策略查询
    * @description 查询数据集数据策略
    * @method static
    * @url StoreUtil.policy({ request, url, param })
    * @param request 请求对象
    * @param url 请求地址 
    * @param param 条件包
    * @return 数据策略
    * @remark 测试用例
    */
    policy({ request, url, param }) {
        let promise;
        let dataUrl = url || hiSetting[$CONST.HIURLPOLICY];
        promise = request({
            url: dataUrl,
            data: param,
            method: 'post'
        })
        return promise
    }
};
